(function ($, Drupal) {
  "use strict";
  Drupal.behaviors.accessibility_block = {
    attach: function (context, settings) {
      $(".acc-tools-click").click(function () {
        $(".acc-tools").addClass("active");
      });

      $(".acc-tools-close").click(function () {
        $(".acc-tools").removeClass("active");
      });
      $(".acc-tools").click(function (evt) {
        if (!$(evt.target).closest(".acc-tools-container").length) {
          $(".acc-tools").removeClass("active");
        }
      });

      //Dark Mode Block

      $(".greyscale-click").click(function () {
        localStorage.setItem("Appearance", "greyscale");
        $("body").css("mix-blend-mode", "luminosity");
        $(this).addClass("active");
        $(".colored-click").removeClass("active");
      });
      $(".colored-click").click(function () {
        localStorage.setItem("Appearance", "colored");
        $("body").css("mix-blend-mode", "unset");
        $(this).addClass("active");
        $(".greyscale-click").removeClass("active");
      });

      const darkModeState = localStorage.getItem("Appearance") || null;
      if (darkModeState && darkModeState == "greyscale") {
        $("body").css("mix-blend-mode", "luminosity");
        $(".greyscale-click").addClass("active");
        $(".colored-click").removeClass("active");
      } else if (darkModeState == null || darkModeState == "colored") {
        $("body").css("mix-blend-mode", "unset");
        $(".colored-click").addClass("active");
        $(".greyscale-click").removeClass("active");
      }

      // //Font resize Block
      $(".font-resize-menu a").click(function () {
        $(".font-resize-menu a").removeClass("active");
        localStorage.setItem("FontSize", $(this).attr("targetFor"));
        $(this).addClass("active");
        if ($(this).attr("targetFor") == "small") {
          $("body").css("font-size", "14px");
        } else if ($(this).attr("targetFor") == "medium") {
          $("body").css("font-size", "16px");
        } else if ($(this).attr("targetFor") == "large") {
          $("body").css("font-size", "18px");
        } else if ($(this).attr("targetFor") == "very-big") {
          $("body").css("font-size", "20px");
        }
      });

      const FontSize = localStorage.getItem("FontSize") || null;
      if (FontSize && FontSize == "small") {
        $("body").css("font-size", "14px");
        $(".font-resize-menu .small-click").addClass("active");
      } else if (FontSize == null || FontSize == "medium") {
        $("body").css("font-size", "16px");
        $(".font-resize-menu .medium-click").addClass("active");
      } else if (FontSize && FontSize == "large") {
        $("body").css("font-size", "18px");
        $(".font-resize-menu .large-click").addClass("active");
      } else if (FontSize && FontSize == "very-big") {
        $("body").css("font-size", "20px");
        $(".font-resize-menu .very-big-click").addClass("active");
      }
    },
  };
})(jQuery, Drupal);
